SYSTUNEDUMP(8)

NAME
systunedump - Dumps /proc files for kernel tuning.

SYNOPSIS
systunedump [ -c,--config configfile ] [ -h, --help ] [ -p, --path dumppath ] [ -v, --verbose ]

DESCRIPTION
This program dumps elements of the /proc filesystem to standard output in a format which, if redirected to a file, can be used by the systune(8) utility.

Common usage:

systunedump > /etc/systune.conf

systunedump --config /etc/systune.kernel20.dump > /etc/systune.kernel20.conf

systunedump --config /dev/null --path /proc/sys/vm > /etc/systune.conf

OPTIONS

-c, --config configfile
    Specify an alternative configuration file. The default is /etc/systune.dump

-h, --help
    Print a short explanation of the command syntax.

-p, --path dumppath
    Add the specified path to any items already listed in the configuration file. Items in the path must be separated by whitespace. All items in the path must begin /proc/sys/.

-v, --verbose
    Verbose mode: allow non-existent items in the path and configuration file to produce errors to standard error. Without this option, erroneous paths are discarded silently.

FILES

/etc/systune.dump
    A file containing a list of paths to dump. Each pathname must begin with /proc/sys/. Comments, introduced by #, can be included; the whole line from the comment character onwards is discarded, together with any whitespace immediately preceding it.

The configuration file can be a file, such as /etc/systune.conf, that contains previously dumped data; the definition part of each line, after and including the colon, is discarded.

SEE ALSO
systune (8).

AUTHOR
Piotr Roszatycki <dexter@debian.org>.

THANKS
Daniel Podlejski, Oliver Elphick.